View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
19101Bug reportsQuestion editorpublic2023-10-30 10:54
Reportermfavetti Assigned Tomfavetti  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.6.x 
Summary19101: Array by Column Has Incorrect Table Row/Column Ids
Description

I'm working on a survey where array by column is an ideal type for the question I want to implement. This question will also require some customization with javascript. In starting to work on it, I noticed that the ids for the table rows have a bug.

They do not include the answer option id, instead they include the subquestion id (which doesn't apply to the rows.) Also, you will only have unique ids on rows up to the number of subquestions. (ie. 20 options and 3 subquestions, you will have unique ids for the first 3 options, but with a subquestion code.) I've looked into the code and I have a fix, but before I do a PR, I wanted to check what the naming convention should be.

For the rows, the first column is the answer option, with columns for radios for each subquestion following.

For the regular array question, the subquestion rows use javatbd{SID}X{GID}X{QID}{SQID}, with no id for the answer option columns. For array by column, the rows are answer options, is the javatbd prefix still applicable? I'm not sure what that stands for. The column headers currently have an id of answertext{SID}X{GID}X{QID}{SQID}.

So would you want answertext{SID}X{GID}X{QID}{AOID} for the rows and javatbd{SID}X{GID}X{QID}{SQID} for the columns? Or something else? Let me know and I'll finish fixing the bug.

Affects v3/5/6.

Steps To Reproduce

Create survey
Add group
Add question of type array by column
Add some subquestions and answer options (add more options than subquestions to really see it)
Preview the question
Look at the generated markup for the table in the inspector

TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)5.6.37
I will donate to the project if issue is resolvedNo
BrowserChrome 117.0.5938.88
Database type & versionMariadb 10.6.12
Server OS (if known)Mint 21.2
Webserver software & version (if known)nginx 1.18
PHP Version8.0.30

Users monitoring this issue

User List mfavetti

Activities

mfavetti

mfavetti

2023-09-19 22:31

developer  

tbody.png (135,767 bytes)
thead.png (78,166 bytes)   
thead.png (78,166 bytes)   
limesurvey_survey_848543.lss (25,772 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>498</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <answers>
  <fields>
   <fieldname>aid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <aid><![CDATA[4413]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO01]]></code>
    <sortorder><![CDATA[0]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4414]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO02]]></code>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4415]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO03]]></code>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4416]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO04]]></code>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4417]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO05]]></code>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4418]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO06]]></code>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4419]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO07]]></code>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4420]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO08]]></code>
    <sortorder><![CDATA[7]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4421]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO09]]></code>
    <sortorder><![CDATA[8]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[4422]]></aid>
    <qid><![CDATA[9104]]></qid>
    <code><![CDATA[AO10]]></code>
    <sortorder><![CDATA[9]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <answer_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>aid</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[4413]]></id>
    <aid><![CDATA[4413]]></aid>
    <answer><![CDATA[1]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4414]]></id>
    <aid><![CDATA[4414]]></aid>
    <answer><![CDATA[2]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4415]]></id>
    <aid><![CDATA[4415]]></aid>
    <answer><![CDATA[3]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4416]]></id>
    <aid><![CDATA[4416]]></aid>
    <answer><![CDATA[4]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4417]]></id>
    <aid><![CDATA[4417]]></aid>
    <answer><![CDATA[5]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4418]]></id>
    <aid><![CDATA[4418]]></aid>
    <answer><![CDATA[6]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4419]]></id>
    <aid><![CDATA[4419]]></aid>
    <answer><![CDATA[7]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4420]]></id>
    <aid><![CDATA[4420]]></aid>
    <answer><![CDATA[8]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4421]]></id>
    <aid><![CDATA[4421]]></aid>
    <answer><![CDATA[9]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[4422]]></id>
    <aid><![CDATA[4422]]></aid>
    <answer><![CDATA[10]]></answer>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </answer_l10ns>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[423]]></gid>
    <sid><![CDATA[848543]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[423]]></id>
    <gid><![CDATA[423]]></gid>
    <group_name><![CDATA[My first question group]]></group_name>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[848543]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>question_theme_name</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>same_script</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[9104]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[848543]]></sid>
    <gid><![CDATA[423]]></gid>
    <type><![CDATA[H]]></type>
    <title><![CDATA[Q00]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[arrays/column]]></question_theme_name>
    <same_script><![CDATA[0]]></same_script>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>question_theme_name</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>same_script</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[9105]]></qid>
    <parent_qid><![CDATA[9104]]></parent_qid>
    <sid><![CDATA[848543]]></sid>
    <gid><![CDATA[423]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
    <same_script><![CDATA[0]]></same_script>
   </row>
   <row>
    <qid><![CDATA[9106]]></qid>
    <parent_qid><![CDATA[9104]]></parent_qid>
    <sid><![CDATA[848543]]></sid>
    <gid><![CDATA[423]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
    <same_script><![CDATA[0]]></same_script>
   </row>
   <row>
    <qid><![CDATA[9107]]></qid>
    <parent_qid><![CDATA[9104]]></parent_qid>
    <sid><![CDATA[848543]]></sid>
    <gid><![CDATA[423]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
    <same_script><![CDATA[0]]></same_script>
   </row>
  </rows>
 </subquestions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[9104]]></id>
    <qid><![CDATA[9104]]></qid>
    <question><![CDATA[A first example question. Please answer this question:]]></question>
    <help><![CDATA[This is a question help text.]]></help>
    <script/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[9105]]></id>
    <qid><![CDATA[9105]]></qid>
    <question><![CDATA[a]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[9106]]></id>
    <qid><![CDATA[9106]]></qid>
    <question><![CDATA[b]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[9107]]></id>
    <qid><![CDATA[9107]]></qid>
    <question><![CDATA[c]]></question>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[answer_width_bycolumn]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[9104]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>ipanonymize</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[848543]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <format><![CDATA[I]]></format>
    <savetimings><![CDATA[I]]></savetimings>
    <template><![CDATA[inherit]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[I]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[I]]></ipaddr>
    <ipanonymize><![CDATA[I]]></ipanonymize>
    <refurl><![CDATA[I]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <tokenencryptionoptions/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>surveyls_alias</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[848543]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[test]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice/>
    <surveyls_policy_notice_label/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
You have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
This email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>848543</sid>
   <template_name>fruity</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>848543</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <brandlogofile>themes/survey/fruity/files/logo.png</brandlogofile>
     <container>on</container>
     <backgroundimage>off</backgroundimage>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <font>noto</font>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
     <notables>1</notables>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_848543.lss (25,772 bytes)   
mfavetti

mfavetti

2023-09-29 01:37

developer   ~77429

here is what the markup looks like with the changes

tbody_after.png (140,134 bytes)
DenisChenu

DenisChenu

2023-10-23 11:53

developer   ~77866

Oh !
Goty it : it's OK here , needed !

DenisChenu

DenisChenu

2023-10-23 14:56

developer   ~77869

TDO : find a way to test ?

javascript to hide line ?

mfavetti

mfavetti

2023-10-24 04:11

developer   ~77895

note to self: add PR for 5.x

mfavetti

mfavetti

2023-10-24 08:36

developer   ~77899

5.x: https://github.com/LimeSurvey/LimeSurvey/pull/3566
master: https://github.com/LimeSurvey/LimeSurvey/pull/3500

mfavetti

mfavetti

2023-10-24 14:39

developer   ~77911

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=35658

mfavetti

mfavetti

2023-10-24 14:42

developer   ~77912

Fix committed to 5.x branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=35659

tibor.pacalat

tibor.pacalat

2023-10-24 14:43

administrator   ~77913

Tested and merged.

LimeBot

LimeBot

2023-10-30 10:54

administrator   ~78127

Fixed in Release 5.6.43+231030

Related Changesets

LimeSurvey: master 8aa56c4c

2023-10-24 14:39:35

mfavetti


Committer: GitHub Details Diff
Fixed issue 19101: Array by Column Has Incorrect Table Row/Column Ids (#3500)

Co-authored-by: Matthew Favetti <mpfavetti@ucdavis.edu>
Affected Issues
19101
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/arrays/column/answer.twig Diff File

LimeSurvey: 5.x 64e6a0a2

2023-10-24 14:42:36

mfavetti


Committer: GitHub Details Diff
Fixed issue 19101: Array by Column Has Incorrect Table Row/Column Ids (03566)

Co-authored-by: Matthew Favetti <mpfavetti@ucdavis.edu>
Affected Issues
19101
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/arrays/column/answer.twig Diff File

Issue History

Date Modified Username Field Change
2023-09-19 22:31 mfavetti New Issue
2023-09-19 22:31 mfavetti File Added: tbody.png
2023-09-19 22:31 mfavetti File Added: thead.png
2023-09-19 22:31 mfavetti File Added: limesurvey_survey_848543.lss
2023-09-29 01:37 mfavetti Note Added: 77429
2023-09-29 01:37 mfavetti File Added: tbody_after.png
2023-09-29 01:37 mfavetti Bug heat 0 => 2
2023-09-29 01:42 mfavetti Relationship added duplicate of 19116
2023-09-30 16:05 DenisChenu Bug heat 2 => 4
2023-09-30 23:02 mfavetti Relationship deleted 19116
2023-10-20 21:53 mfavetti Assigned To => mfavetti
2023-10-20 21:53 mfavetti Status new => ready for code review
2023-10-20 21:53 mfavetti Assigned To mfavetti =>
2023-10-20 21:58 mfavetti Issue Monitored: mfavetti
2023-10-20 21:58 mfavetti Bug heat 4 => 6
2023-10-20 22:07 mfavetti Assigned To => DenisChenu
2023-10-23 11:53 DenisChenu Note Added: 77866
2023-10-23 14:56 DenisChenu Note Added: 77869
2023-10-23 14:56 DenisChenu Assigned To DenisChenu => tibor.pacalat
2023-10-23 14:56 DenisChenu Status ready for code review => ready for testing
2023-10-24 04:11 mfavetti Note Added: 77895
2023-10-24 08:36 mfavetti Note Added: 77899
2023-10-24 14:39 mfavetti Changeset attached => LimeSurvey master 8aa56c4c
2023-10-24 14:39 mfavetti Note Added: 77911
2023-10-24 14:39 mfavetti Assigned To tibor.pacalat => mfavetti
2023-10-24 14:39 mfavetti Resolution open => fixed
2023-10-24 14:42 mfavetti Changeset attached => LimeSurvey 5.x 64e6a0a2
2023-10-24 14:42 mfavetti Note Added: 77912
2023-10-24 14:43 tibor.pacalat Status ready for testing => resolved
2023-10-24 14:43 tibor.pacalat Note Added: 77913
2023-10-24 14:43 tibor.pacalat Bug heat 6 => 8
2023-10-30 10:54 LimeBot Note Added: 78127
2023-10-30 10:54 LimeBot Status resolved => closed
2023-10-30 10:54 LimeBot Bug heat 8 => 10